< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package agent
  Definition Classes
    hmrc
-  package kenshoo
  Definition Classes
    agent
-  package monitoring
  Definition Classes
    kenshoo
- AverageResponseTimer
- HttpAPIMonitor
- HttpErrorRateMeter
- MonitoredHttpClient
- MonitoringFilter

c

uk.gov.hmrc.agent.kenshoo.monitoring

# MonitoringFilter 

###

#### abstract class MonitoringFilter extends Filter with HttpAPIMonitor

Linear Supertypes
HttpAPIMonitor, HttpErrorRateMeter, AverageResponseTimer, Filter, EssentialFilter, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MonitoringFilter
2. HttpAPIMonitor
3. HttpErrorRateMeter
4. AverageResponseTimer
5. Filter
6. EssentialFilter
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new MonitoringFilter(urlPatternToNameMapping: Map[String, String], kenshooRegistry: MetricRegistry)(implicit ec: ExecutionContext)

### Abstract Value Members

1.  implicit abstract def mat: Materializer
   Definition Classes
     Filter

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apiName(uri: String, method: String): Option[String]
5.  def apply(nextFilter: (RequestHeader) ⇒ Future[Result])(requestHeader: RequestHeader): Future[Result]
   Definition Classes
     MonitoringFilter → Filter
6.  def apply(next: EssentialAction): EssentialAction
   Definition Classes
     Filter → EssentialFilter
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def asJava: EssentialFilter
   Definition Classes
     EssentialFilter
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
10.  def countErrors[T](serviceName: String)(future: Future[T])(implicit ec: ExecutionContext): Future[T]
    Definition Classes
      HttpErrorRateMeter
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
14.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  val kenshooRegistry: MetricRegistry
    Definition Classes
      MonitoringFilter → HttpErrorRateMeter → AverageResponseTimer
18.  def meterName[T](serviceName: String, statusCode: Int): String
    Definition Classes
      HttpErrorRateMeter
19.  def monitor[T](serviceName: String)(function: ⇒ Future[T])(implicit ec: ExecutionContext): Future[T]
    Definition Classes
      HttpAPIMonitor
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
24.  def timer[T](serviceName: String)(function: ⇒ Future[T])(implicit ec: ExecutionContext): Future[T]
    Definition Classes
      AverageResponseTimer
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from HttpAPIMonitor

### Inherited from HttpErrorRateMeter

### Inherited from AverageResponseTimer

### Inherited from Filter

### Inherited from EssentialFilter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped